package domaine.temps;

import domaine.Operable;

public interface Heure extends Comparable<Heure>, Operable {
	static boolean texteCorrect(String txt) {
		return txt.matches("^(([0-1]{0,1}[0-9])|([2][0-3])):[0-5][0-9]$");
	}
	void affecteA(String heure) throws MauvaisFormatDHeure, MauvaiseValeurDesHeures, MauvaiseValeurDesMinutes;
	void affecteA(int heures, int minutes) throws MauvaiseValeurDesHeures, MauvaiseValeurDesMinutes;
	byte heures();
	byte minutes();
	String toString();
	void minutesPlus1();
	void minutesMoins1();
	void heuresPlus1();
	void heuresMoins1();
}
