package controleur;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.WindowEvent;
import java.awt.event.WindowListener;

import javax.swing.JOptionPane;

import domaine.ListeDAlarmes;
import vue.FenetreDAlarmes;

public class EcouteurOperationARisque
implements ActionListener, //pour les options de menu déclenchant des opérations qui font perdre les données
           WindowListener  //pour la gestion de la case de fermeture de la fenêtre de l'application
{
    protected FenetreDAlarmes laFenetreAlarmes;
    protected ListeDAlarmes laListeDAlarmes;
    protected boolean operationConfirmee;
    protected String leNomDeLOperation;
    protected String laQuestionAPoser;
    public EcouteurOperationARisque(FenetreDAlarmes fenetre,
    							    ListeDAlarmes listeDAlarmes,
                                    String nomDOperation, String questionAPoser) {
    	laFenetreAlarmes = fenetre;
        laListeDAlarmes = listeDAlarmes;
        leNomDeLOperation = nomDOperation;
        laQuestionAPoser = questionAPoser;
    }
    private boolean utilisateurConfirme() {
        switch(JOptionPane.showConfirmDialog(laFenetreAlarmes,
        		"Cela fait perdre les modifications non enregistrées !\n"
        		+ laQuestionAPoser, leNomDeLOperation,
        		JOptionPane.YES_NO_OPTION, JOptionPane.WARNING_MESSAGE)) {
            case JOptionPane.YES_OPTION    :
                return true;
            default                        :
                return false;
        }
    }
// en tant que ActionListener
    public void actionPerformed(ActionEvent e) { //remarque : on ne sert pas de l'objet e
        if (laListeDAlarmes.aEteModifiee()) {
            operationConfirmee = utilisateurConfirme();
        } else {
            operationConfirmee = true;
        }
    }
// en tant que WindowListener
    public void windowActivated(WindowEvent e) { }
    public void windowDeactivated(WindowEvent e) { }
    public void windowClosing(WindowEvent e) { }
    public void windowClosed(WindowEvent e) { }
    public void windowIconified(WindowEvent e) { }
    public void windowDeiconified(WindowEvent e) { }
    public void windowOpened(WindowEvent e) { }
}
